package tdp024.todo.data.api.facade;

import java.util.List;
import tdp024.todo.data.api.entity.Todo;
import tdp024.todo.data.api.exception.TodoEntityNotFoundException;
import tdp024.todo.data.api.exception.TodoInputParameterException;
import tdp024.todo.data.api.exception.TodoServiceConfigurationException;

public interface TodoEntityFacade {

    public long create(String title, String body)
            throws
            TodoInputParameterException,
            TodoServiceConfigurationException;

    public void setActive(long id, boolean active)
            throws
            TodoEntityNotFoundException,
            TodoServiceConfigurationException;

    public Todo find(long id)
            throws
            TodoEntityNotFoundException,
            TodoServiceConfigurationException;

    public List<Todo> findAll()
            throws
            TodoServiceConfigurationException;
}
