package tdp024.todo.logic.api.facade;

import tdp024.todo.data.api.entity.Todo;
import tdp024.todo.data.api.exception.TodoEntityNotFoundException;
import tdp024.todo.data.api.exception.TodoInputParameterException;
import tdp024.todo.data.api.exception.TodoServiceConfigurationException;

public interface TodoLogicFacade {

    public long create(String title, String body)
            throws 
            TodoInputParameterException,
            TodoServiceConfigurationException;

    public Todo find(long id)
            throws 
            TodoEntityNotFoundException,
            TodoServiceConfigurationException;

    public void checkOut(long id)
            throws
            TodoEntityNotFoundException,
            TodoServiceConfigurationException;

    public void checkIn(long id)
            throws
            TodoEntityNotFoundException,
            TodoServiceConfigurationException;
}
